<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($delete)){
  if($id){
    $o_asistencia = new CrAsistenciaDP(); 
    $o_asistencia->setIdAsistencia($id);
    
    $o_asistencia->setIdColaborador($id);
    $o_asistencia->setUsuarioEliminado(myUser::getUser()->getUserId());
    $o_asistencia->setFechaEliminado(date("Y-m-d"));
    
    $bResult =  $o_asistencia->delete();
    
    if($bResult){
      ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('asistencia/list')?>','001&delete=1&cod=<?=$o_asistencia->getIdAsistencia()?>');
      parent.objMainTab.windowsCloseAll();
      </script>
      <?
      
    }else{
       $url = buildUrl('asistencia/delete', "block=".$block."&error=1");
    }
  } 
}
